View Issue Details

IDProjectCategoryView StatusLast Update
0006561Xen4kernelpublic2013-07-22 20:36
ReporterRushikesh Assigned To 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Summary0006561: CONFIG_XEN_SELFBALLOONING=y as default
DescriptionIt seems that the xen balloon functionality for guest is not enabled in
CentOS 3.4.50-8.el6 xen kernel by default via centos-release-xen.x86_64
repo. I think this should have been present since this extra Xen repo needs
to support as both Guest and Host (Dom0).

Although CONFIG_XEN_BALLOON=y is set which the BALLOON driver is not working. To make it work correctly CONFIG_XEN_SELFBALLOONING=y needs to be present.
Steps To Reproduce* Install CentOS on host which can support virtualization
* Install package centos-release-xen.x86_64
* Install xen-hypervisor
* Create CentOS6 as HVM guest
* Try to use balloon
* It does not work since the SELFBALLOONING is not enabled.
TagsNo tags attached.

Activities

toracat

toracat

2013-07-15 23:22

manager   ~0017674

Kconfig:

config XEN_BALLOON
        bool "Xen memory balloon driver"
        depends on !ARM
        default y
        help
          The balloon driver allows the Xen domain to request more memory from
          the system to expand the domain's memory allocation, or alternatively
          return unneeded memory to the system.

config XEN_SELFBALLOONING
        bool "Dynamically self-balloon kernel memory to target"
        depends on XEN && XEN_BALLOON && CLEANCACHE && SWAP && XEN_TMEM
        default n
        help
          Self-ballooning dynamically balloons available kernel memory driven
          by the current usage of anonymous memory ("committed AS") and
          controlled by various sysfs-settable parameters. Configuring
          FRONTSWAP is highly recommended; if it is not configured, self-
          ballooning is disabled by default. If FRONTSWAP is configured,
          frontswap-selfshrinking is enabled by default but can be disabled
          with the 'tmem.selfshrink=0' kernel boot parameter; and self-ballooning
          is enabled by default but can be disabled with the 'tmem.selfballooning=0'
          kernel boot parameter. Note that systems without a sufficiently
          large swap device should not enable self-ballooning.
Rushikesh

Rushikesh

2013-07-16 13:52

reporter   ~0017678

It seems the issue really lies within CONFIG_XEN_BALLOON_MEMORY_HOTPLUG=y, it must be enabled in order to let HVM guest balloon correctly.

Should I create new bug request for this or is it fine if we track it here ?
How a patch can be proposed for this ?
toracat

toracat

2013-07-16 15:24

manager   ~0017679

Go ahead and submit a new patch. I'll close this ticket.
JohnnyHughes

JohnnyHughes

2013-07-22 20:36

administrator   ~0017712

configured in 3.4.54-8 of the Xen Kernel

Issue History

Date Modified Username Field Change
2013-07-15 19:50 Rushikesh New Issue
2013-07-15 20:08 toracat Project CentOS-6 => Xen4
2013-07-15 23:22 toracat Note Added: 0017674
2013-07-16 13:52 Rushikesh Note Added: 0017678
2013-07-16 15:24 toracat Note Added: 0017679
2013-07-22 20:36 JohnnyHughes Note Added: 0017712
2013-07-22 20:36 JohnnyHughes Status new => resolved
2013-07-22 20:36 JohnnyHughes Resolution open => fixed